Skip to main content
`Ctrl`+`K`

# PetscLogHandlerGetType

Gets the `PetscLoagHandlerType` (as a string) from the `PetscLogHandler` object.

## Synopsis

    PetscErrorCode PetscLogHandlerGetType(PetscLogHandler handler, PetscLogHandlerType *name)

Not collective

## Input Parameter

- handler - the `PetscLogHandler`

## Output Parameter

- name - The `PetscLogHandlerType` name

## See Also

Profiling, `PetscLogHandler`, `PetscLogHandlerCreate()`, `PetscLogHandlerRegister()`, `PetscLogHandlerSetType()`

## Level

developer

## Location

src/sys/logging/handler/interface/lhreg.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages